## org.eclipse.emf.cdo.common.model
Class EMFUtil

    java.lang.Object
      org.eclipse.emf.cdo.common.model.EMFUtil

    public final class EMFUtil

extends java.lang.Object

Since:
  2.0

Method Summary
`static void` `addAdapter(org.eclipse.emf.common.notify.Notifier notifier, org.eclipse.emf.common.notify.Adapter adapter)`
`static org.eclipse.emf.ecore.EAttribute` `createEAttribute(org.eclipse.emf.ecore.EClass eClass, java.lang.String name, org.eclipse.emf.ecore.EClassifier type)`
`static org.eclipse.emf.ecore.EClass` `createEClass(org.eclipse.emf.ecore.EPackage ePackage, java.lang.String name, boolean isAbstract, boolean isInterface)`
`static org.eclipse.emf.ecore.EPackage` `createEPackage(java.lang.String uri, byte[] bytes, boolean zipped, org.eclipse.emf.ecore.EPackage.Registry packageRegistry)`
`static org.eclipse.emf.ecore.EPackage` `createEPackage(java.lang.String name, java.lang.String nsPrefix, java.lang.String nsURI)`
`static org.eclipse.emf.ecore.EReference` `createEReference(org.eclipse.emf.ecore.EClass eClass, java.lang.String name, org.eclipse.emf.ecore.EClassifier type, boolean isRequired, boolean isMany)`
`static org.eclipse.emf.ecore.EPackage[]` `getAllPackages(org.eclipse.emf.ecore.EPackage ePackage)`
`static byte[]` `getEPackageBytes(org.eclipse.emf.ecore.EPackage ePackage, boolean zipped, org.eclipse.emf.ecore.EPackage.Registry packageRegistry)`
`static org.eclipse.emf.ecore.EPackage` `getGeneratedEPackage(org.eclipse.emf.ecore.EPackage ePackage)`
`static java.lang.String` `getParentURI(org.eclipse.emf.ecore.EPackage ePackage)`
`static org.eclipse.emf.ecore.EClass[]` `getPersistentClasses(org.eclipse.emf.ecore.EPackage ePackage)`
`static java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getPersistentFeatures(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EStructuralFeature> eFeatures)`
`static java.lang.String` `getQualifiedName(org.eclipse.emf.ecore.EClassifier classifier, java.lang.String separator)`
`static java.lang.String` `getQualifiedName(org.eclipse.emf.ecore.EPackage ePackage, java.lang.String separator)`
`static java.util.Map.Entry<java.lang.String,java.lang.Object>[]` `getSortedRegistryEntries(org.eclipse.emf.ecore.EPackage.Registry packageRegistry)`
`static org.eclipse.emf.ecore.EPackage` `getTopLevelPackage(org.eclipse.emf.ecore.EPackage ePackage)`
`static boolean` `isDynamicEPackage(java.lang.Object value)`
`static org.eclipse.emf.ecore.resource.ResourceSet` `newEcoreResourceSet()`
`static org.eclipse.emf.ecore.resource.ResourceSet` `newEcoreResourceSet(org.eclipse.emf.ecore.EPackage.Registry packageRegistry)`
`static org.eclipse.emf.ecore.resource.ResourceSet` `newResourceSet(org.eclipse.emf.ecore.resource.Resource.Factory resourceFactory)`
`static void` `registerPackage(org.eclipse.emf.ecore.EPackage ePackage, org.eclipse.emf.ecore.EPackage.Registry... packageRegistries)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGeneratedEPackage

    public static org.eclipse.emf.ecore.EPackage getGeneratedEPackage(org.eclipse.emf.ecore.EPackage ePackage)

### getSortedRegistryEntries

    public static java.util.Map.Entry<java.lang.String,java.lang.Object>[] getSortedRegistryEntries(org.eclipse.emf.ecore.EPackage.Registry packageRegistry)

### getTopLevelPackage

    public static org.eclipse.emf.ecore.EPackage getTopLevelPackage(org.eclipse.emf.ecore.EPackage ePackage)

### createEPackage

    public static org.eclipse.emf.ecore.EPackage createEPackage(java.lang.String name,
                                                                java.lang.String nsPrefix,
                                                                java.lang.String nsURI)

  Since:
    2.0

### createEClass

    public static org.eclipse.emf.ecore.EClass createEClass(org.eclipse.emf.ecore.EPackage ePackage,
                                                            java.lang.String name,
                                                            boolean isAbstract,
                                                            boolean isInterface)

  Since:
    2.0

### createEAttribute

    public static org.eclipse.emf.ecore.EAttribute createEAttribute(org.eclipse.emf.ecore.EClass eClass,
                                                                    java.lang.String name,
                                                                    org.eclipse.emf.ecore.EClassifier type)

  Since:
    2.0

### createEReference

    public static org.eclipse.emf.ecore.EReference createEReference(org.eclipse.emf.ecore.EClass eClass,
                                                                    java.lang.String name,
                                                                    org.eclipse.emf.ecore.EClassifier type,
                                                                    boolean isRequired,
                                                                    boolean isMany)

  Since:
    2.0

### getPersistentClasses

    public static org.eclipse.emf.ecore.EClass[] getPersistentClasses(org.eclipse.emf.ecore.EPackage ePackage)

### getPersistentFeatures

    public static java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getPersistentFeatures(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EStructuralFeature> eFeatures)

### isDynamicEPackage

    public static boolean isDynamicEPackage(java.lang.Object value)

### getParentURI

    public static java.lang.String getParentURI(org.eclipse.emf.ecore.EPackage ePackage)

### registerPackage

    public static void registerPackage(org.eclipse.emf.ecore.EPackage ePackage,
                                       org.eclipse.emf.ecore.EPackage.Registry... packageRegistries)

### getEPackageBytes

    public static byte[] getEPackageBytes(org.eclipse.emf.ecore.EPackage ePackage,
                                          boolean zipped,
                                          org.eclipse.emf.ecore.EPackage.Registry packageRegistry)

### createEPackage

    public static org.eclipse.emf.ecore.EPackage createEPackage(java.lang.String uri,
                                                                byte[] bytes,
                                                                boolean zipped,
                                                                org.eclipse.emf.ecore.EPackage.Registry packageRegistry)

### addAdapter

    public static void addAdapter(org.eclipse.emf.common.notify.Notifier notifier,
                                  org.eclipse.emf.common.notify.Adapter adapter)

### getAllPackages

    public static org.eclipse.emf.ecore.EPackage[] getAllPackages(org.eclipse.emf.ecore.EPackage ePackage)

### getQualifiedName

    public static java.lang.String getQualifiedName(org.eclipse.emf.ecore.EPackage ePackage,
                                                    java.lang.String separator)

### getQualifiedName

    public static java.lang.String getQualifiedName(org.eclipse.emf.ecore.EClassifier classifier,
                                                    java.lang.String separator)

### newResourceSet

    public static org.eclipse.emf.ecore.resource.ResourceSet newResourceSet(org.eclipse.emf.ecore.resource.Resource.Factory resourceFactory)

### newEcoreResourceSet

    public static org.eclipse.emf.ecore.resource.ResourceSet newEcoreResourceSet(org.eclipse.emf.ecore.EPackage.Registry packageRegistry)

### newEcoreResourceSet

    public static org.eclipse.emf.ecore.resource.ResourceSet newEcoreResourceSet()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.